#!/usr/bin/env python

import sys, commands, smtplib

toMailID = sys.argv[1]
svnREPOS = sys.argv[2]
svnREV   = sys.argv[3]

fromMailID = "rbutler@mtsu.edu"

smtp = smtplib.SMTP('zimbra.cs.mtsu.edu')

emailMsg = """\
From: %s
To: %s
Subject: svn commit:  repos: %s  rev: %s

svn commit:  repos: %s  rev: %s
"""    %  (fromMailID,toMailID,svnREPOS,svnREV,svnREPOS,svnREV)

LOG     = commands.getoutput('svnlook log     %s -r %s' % (svnREPOS,svnREV) )
AUTHOR  = commands.getoutput('svnlook author  %s -r %s' % (svnREPOS,svnREV) )
REVDATE = commands.getoutput('svnlook date    %s -r %s' % (svnREPOS,svnREV) )
CHANGED = commands.getoutput('svnlook changed %s -r %s' % (svnREPOS,svnREV) )
DIFF    = commands.getoutput('svnlook diff    %s -r %s' % (svnREPOS,svnREV) )

emailMsg +=                         '\n'
emailMsg += 'log: '     + LOG     + '\n'
emailMsg += 'author: '  + AUTHOR  + '\n'
emailMsg += 'revdate: ' + REVDATE + '\n'
emailMsg += 'changed: ' + CHANGED + '\n'
emailMsg +=                         '\n'
emailMsg += 'diff: '    + DIFF    + '\n'

smtp.sendmail(fromMailID, toMailID, emailMsg)

smtp.quit()
